## ste-plugins 0.0.2

=== Makefile ===
# -----------------------------------------------------------------------
#
#  Copyright (C) 2010-2014 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# -----------------------------------------------------------------------


CPPFLAGS += -I. -fPIC -D_REENTRANT
CXXFLAGS += -Wall -O2

all:	stereo-plugins.so

STEREO_O = stereo.o stereo_if.o 
stereo-plugins.so:	$(STEREO_O)	
	g++ -shared  -o $@  $(STEREO_O)

stereo.o:	ladspaplugin.h stereo.h
stereo_if.o:	ladspaplugin.h stereo.h


install:	stereo-plugins.so
	cp  *.so /usr/lib/ladspa

clean:
	rm -rf *~ *.o *.so

=== debian/changelog ===
ste-plugins (0.0.2-7) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * Use debhelper-compat instead of debian/compat

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org
  * Remove myself from uploaders

 -- Bastian Germann <bage@debian.org>  Thu, 28 Sep 2023 22:09:28 +0200

ste-plugins (0.0.2-6) unstable; urgency=medium

  * Fix FTCBFS. (Closes: #883478)
  * Bump Standards.
  * Vcs - use git instead of cgit.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 04 Dec 2017 19:32:40 +0100

ste-plugins (0.0.2-5) unstable; urgency=medium

  * Set dh/compat 10.
  * Sign tags.
  * Avoid useless linking.
  * Add local-options file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 26 Dec 2016 21:31:33 +0100

ste-plugins (0.0.2-4) unstable; urgency=medium

  * Fix description. (Closes: #802193)
  * Bump Standards.
  * Fix VCS fields.
  * Fix hardening.
  * Tune .gitignore file.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 08 Aug 2016 11:17:41 +0200

ste-plugins (0.0.2-3) unstable; urgency=medium

  * Bump Standards.
  * Enable parallel build.
  * Update copyright file.
  * Added patch to remove LADSPA_PROPERTY_REALTIME.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 10 Sep 2015 11:43:15 +0200

ste-plugins (0.0.2-2) unstable; urgency=medium

  * Improve long description. Closes: #739612. Thanks Justin B Rye.

 -- Felipe Sateler <fsateler@debian.org>  Thu, 20 Feb 2014 12:19:10 -0300

ste-plugins (0.0.2-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Initial release (Closes: #739146)
  * Added .gitignore file.

  [ Felipe Sateler ]
  * Add myself to uploaders
  * Move aside ladspa.h so we use the system one

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 16 Feb 2014 04:23:50 +0100

=== debian/control ===
Source: ste-plugins
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>,
Build-Depends:
 debhelper-compat (= 10),
 ladspa-sdk
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/index.html
Vcs-Git: https://salsa.debian.org/multimedia-team/ste-plugins.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/ste-plugins
Standards-Version: 4.1.1

Package: ste-plugins
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 ladspa-plugin
Description: stereo LADSPA plugins
 This package provides a set of stereo plugins:
  * Stereo width;
  * Stereo balance and panner.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	[ ! -f ladspa.h ] || mv ladspa.h ladspa.h.bak
	dh_auto_build

override_dh_auto_clean:
	[ ! -f ladspa.h.bak ] || mv ladspa.h.bak ladspa.h
	dh_auto_clean

=== debian/watch ===
version=3
http://kokkinizita.linuxaudio.org/linuxaudio/downloads/ \
	STE-plugins-(.*)\.tar\.bz2
